aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorFabian Affolter <fabian@affolter-engineering.ch>2013-09-05 14:24:39 +0000
committerBartłomiej Piotrowski <b@bpiotrowski.pl>2013-09-08 14:35:08 +0200
commit9b33a2ba8e76eec61b84d919622c22b787bbb453 (patch)
treefc46917151392788288f081165848b1a3b3026c7
parentfb80108ddfc08850737f18ec19dd5afcad64152f (diff)
downloadaports-9b33a2ba8e76eec61b84d919622c22b787bbb453.tar.gz
aports-9b33a2ba8e76eec61b84d919622c22b787bbb453.tar.bz2
aports-9b33a2ba8e76eec61b84d919622c22b787bbb453.tar.xz
testing/py-w3lib: new aport
A library of web-related functions https://github.com/scrapy/w3lib
-rw-r--r--testing/py-w3lib/APKBUILD41
1 files changed, 41 insertions, 0 deletions
diff --git a/testing/py-w3lib/APKBUILD b/testing/py-w3lib/APKBUILD
new file mode 100644
index 0000000000..49f98d076d
--- /dev/null
+++ b/testing/py-w3lib/APKBUILD
@@ -0,0 +1,41 @@
+# Contributor: Fabian Affolter <fabian@affolter-engineering.ch>
+# Maintainer: Fabian Affolter <fabian@affolter-engineering.ch>
+pkgname=py-w3lib
+_pkgname=w3lib
+pkgver=1.3
+pkgrel=0
+pkgdesc="A library of web-related functions"
+url="https://github.com/scrapy/w3lib"
+arch="noarch"
+license="BSD"
+depends="python"
+depends_dev=""
+makedepends="python-dev"
+install=""
+subpackages=""
+source="http://pypi.python.org/packages/source/${_pkgname:0:1}/$_pkgname/$_pkgname-$pkgver.tar.gz"
+
+_builddir="$srcdir"/$_pkgname-$pkgver
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ python setup.py build || return 1
+}
+
+package() {
+ cd "$_builddir"
+ python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+}
+
+md5sums="1a32470a2e58ff887f5bc1d69334542e w3lib-1.3.tar.gz"
+sha256sums="d3a02099256646971dd52fbd0cb9c705e945373c69d5b5722b2d840db83aeeec w3lib-1.3.tar.gz"
+sha512sums="b2e61065b21a3af277e77e46350021eb71ac0be7bbe63237f95a562a594a902e9f89b9460c7ee799fa4e326a78684c116b11d6c8af38d71d64340d27511f7329 w3lib-1.3.tar.gz"